## chntpw 0.99.3

=== Makefile ===
#
# Makefile for the Offline NT Password Editor
#
#
# Change here to point to the needed OpenSSL libraries & .h files
# See INSTALL for more info.
#

#SSLPATH=/usr/local/ssl
OSSLPATH=/usr
OSSLLIB=$(OSSLPATH)/lib
OSSLINC=$(OSSLPATH)/include

CC=gcc
CFLAGS= -DUSEOPENSSL -g -I. -I$(OSSLINC) -Wall

# This is to link with whatever we have, SSL crypto lib we put in static
LIBS=-L$(OSSLLIB) $(OSSLLIB)/libcrypto.a

# ** This is for linking with older and more lean libc than installed as default
#    in RH7+ or newer Mandrakes. And probably others. GLIBC has BLOATED!
# Use the reloc (and force it) in rpm to install into /usr/local :)

#LIBS=-L$(OSSLLIB) -L/usr/local/libold -L/usr/local/usr/lib \
$(OSSLLIB)/libcrypto.so /usr/local/usr/lib/crt1.o /usr/local/usr/lib/crti.o \
/usr/local/libold/ld-2.0.5.so \
/usr/local/usr/lib/libc.so /usr/local/libold/libc-2.0.5.so /usr/local/usr/lib/crtn.o 

all: chntpw

chntpw: chntpw.o ntreg.o
	$(CC) $(CFLAGS) -o chntpw chntpw.o ntreg.o $(LIBS)

cpnt: cpnt.o
	$(CC) $(CFLAGS) -o cpnt cpnt.o $(LIBS)

#ts: ts.o ntreg.o
#	$(CC) $(CFLAGS) -nostdlib -o ts ts.o ntreg.o $(LIBS)

# -Wl,-t

.c.o:
	$(CC) -c $(CFLAGS) $<

clean:
	rm -f *.o chntpw *~

## chntpw 0.99.5

=== Makefile ===
#
# Makefile for the Offline NT Password Editor
#
#
# Change here to point to the needed OpenSSL libraries & .h files
# See INSTALL for more info.
#

#SSLPATH=/usr/local/ssl
OSSLPATH=/usr
OSSLLIB=$(OSSLPATH)/lib
OSSLINC=$(OSSLPATH)/include

CC=gcc
CFLAGS= -DUSEOPENSSL -g -I. -I$(OSSLINC) -Wall -m32


# This is to link with whatever we have, SSL crypto lib we put in static
LIBS=-L$(OSSLLIB) $(OSSLLIB)/libcrypto.a

all: chntpw chntpw.static cpnt

chntpw: chntpw.o ntreg.o
	$(CC) $(CFLAGS) -o chntpw chntpw.o ntreg.o $(LIBS)

chntpw.static: chntpw.o ntreg.o
	$(CC) -static $(CFLAGS) -o chntpw.static chntpw.o ntreg.o $(LIBS)

cpnt: cpnt.o
	$(CC) $(CFLAGS) -o cpnt cpnt.o $(LIBS)

#ts: ts.o ntreg.o
#	$(CC) $(CFLAGS) -nostdlib -o ts ts.o ntreg.o $(LIBS)

# -Wl,-t

.c.o:
	$(CC) -c $(CFLAGS) $<

clean:
	rm -f *.o chntpw chntpw.static *~

## chntpw 0.99.6.110511

=== Makefile ===
#
# Makefile for the Offline NT Password Editor
#
#
# Change here to point to the needed OpenSSL libraries & .h files
# See INSTALL for more info.
#

#SSLPATH=/usr/local/ssl
OSSLPATH=/usr
OSSLINC=$(OSSLPATH)/include

CC=gcc

# Force 32 bit
CFLAGS= -DUSEOPENSSL -g -I. -I$(OSSLINC) -Wall -m32 
OSSLLIB=$(OSSLPATH)/lib

# 64 bit if default for compiler setup
#CFLAGS= -DUSEOPENSSL -g -I. -I$(OSSLINC) -Wall
#OSSLLIB=$(OSSLPATH)/lib64


# This is to link with whatever we have, SSL crypto lib we put in static
LIBS=-L$(OSSLLIB) $(OSSLLIB)/libcrypto.a

all: chntpw chntpw.static cpnt reged reged.static

chntpw: chntpw.o ntreg.o edlib.o
	$(CC) $(CFLAGS) -o chntpw chntpw.o ntreg.o edlib.o $(LIBS)

chntpw.static: chntpw.o ntreg.o edlib.o
	$(CC) -static $(CFLAGS) -o chntpw.static chntpw.o ntreg.o edlib.o $(LIBS)

cpnt: cpnt.o
	$(CC) $(CFLAGS) -o cpnt cpnt.o $(LIBS)

reged: reged.o ntreg.o edlib.o
	$(CC) $(CFLAGS) -o reged reged.o ntreg.o edlib.o

reged.static: reged.o ntreg.o edlib.o
	$(CC) -static $(CFLAGS) -o reged.static reged.o ntreg.o edlib.o


#ts: ts.o ntreg.o
#	$(CC) $(CFLAGS) -nostdlib -o ts ts.o ntreg.o $(LIBS)

# -Wl,-t

.c.o:
	$(CC) -c $(CFLAGS) $<

clean:
	rm -f *.o chntpw chntpw.static cpnt reged reged.static *~

## chntpw 140201

=== Makefile ===
--- 
+++ 
@@ -22,15 +22,17 @@
 
 
 # This is to link with whatever we have, SSL crypto lib we put in static
-LIBS=-L$(OSSLLIB) $(OSSLLIB)/libcrypto.a
+#LIBS=-L$(OSSLLIB) $(OSSLLIB)/libcrypto.a
+LIBS=-L$(OSSLLIB)
 
-all: chntpw chntpw.static cpnt reged reged.static
 
-chntpw: chntpw.o ntreg.o edlib.o
-	$(CC) $(CFLAGS) -o chntpw chntpw.o ntreg.o edlib.o $(LIBS)
+all: chntpw chntpw.static cpnt reged reged.static samusrgrp samusrgrp.static sampasswd sampasswd.static
 
-chntpw.static: chntpw.o ntreg.o edlib.o
-	$(CC) -static $(CFLAGS) -o chntpw.static chntpw.o ntreg.o edlib.o $(LIBS)
+chntpw: chntpw.o ntreg.o edlib.o libsam.o
+	$(CC) $(CFLAGS) -o chntpw chntpw.o ntreg.o edlib.o libsam.o $(LIBS)
+
+chntpw.static: chntpw.o ntreg.o edlib.o libsam.o
+	$(CC) -static $(CFLAGS) -o chntpw.static chntpw.o ntreg.o edlib.o libsam.o $(LIBS)
 
 cpnt: cpnt.o
 	$(CC) $(CFLAGS) -o cpnt cpnt.o $(LIBS)
@@ -40,6 +42,19 @@
 
 reged.static: reged.o ntreg.o edlib.o
 	$(CC) -static $(CFLAGS) -o reged.static reged.o ntreg.o edlib.o
+
+samusrgrp.static: samusrgrp.o ntreg.o libsam.o
+	$(CC) -static $(CFLAGS) -o samusrgrp.static samusrgrp.o ntreg.o libsam.o 
+
+samusrgrp: samusrgrp.o ntreg.o libsam.o
+	$(CC) $(CFLAGS) -o samusrgrp samusrgrp.o ntreg.o libsam.o 
+
+sampasswd: sampasswd.o ntreg.o libsam.o
+	$(CC) $(CFLAGS) -o sampasswd sampasswd.o ntreg.o libsam.o 
+
+sampasswd.static: sampasswd.o ntreg.o libsam.o
+	$(CC) -static $(CFLAGS) -o sampasswd.static sampasswd.o ntreg.o libsam.o 
+
 
 
 #ts: ts.o ntreg.o
@@ -51,5 +66,5 @@
 	$(CC) -c $(CFLAGS) $<
 
 clean:
-	rm -f *.o chntpw chntpw.static cpnt reged reged.static *~
+	rm -f *.o chntpw chntpw.static cpnt reged reged.static samusrgrp samusrgrp.static sampasswd sampasswd.static *~

=== debian/changelog ===
chntpw (140201-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * switch package to use dh and bump compat to 13 (Closes: #965458)
  * add d/source/format quilt
  * include the Makefile changes that was out of d/patches in
    01_port_to_gcrypt.patch

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make.
    (Closes: #902549)
  * Remove unused/wrong INSTALL_PROGRAM variable.

  [ Javier Fernández-Sanguino ]
  * Add VCS fields in debian/control
  * Updated Standards-Version
  * debian/watch: updated to version 4
  * Use the original version numbering to avoid confusing uscan
  * Add description to all patches (lintian fix)
  * Apply patch to fix descriptions in source code and typos (Closes: 803884, 803883)
  * Apply patch to enable sampasswd writing to the HIVE file (Closes: 803888)
  * Apply patch to make it possible to read files when the filesystem is
    read-only (Closes: 762508)
  * Add samunlock tool developed by Adrian Gibanel Lopez and published in 
    https://github.com/rescatux/chntpw

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Thu, 20 Jan 2022 22:35:49 +0100

chntpw (1.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * B-d on libgcrypt20-dev instead of (dummy transition package)
    libgcrypt11-dev. Closes: #864097

 -- Andreas Metzler <ametzler@debian.org>  Sat, 27 Oct 2018 09:09:58 +0200

chntpw (1.0-1) unstable; urgency=low

  * Update to latest upstream release, published in 2014-02-01
  * debian/rules: Provide also the other binaries built in the sources:
    reged (Simple Registry Edit Utility for Windows registry hives),
    sampasswd (SAM database, add or remove user in a group),
    samusrgrp (SAM database, add or remove user in a group)
  * debian/samusrgrp.8 debian/reged.8 debian/sampasswd.8: Write manpages
    for all of the other programs built and included now in the package
  * debian/chntpw.8: Update the manpage contents based on the program's
     current -h output.
  * debian/patches/01_port_to_gcrypt.patch: 
        Update patch since in this release upstream author uses a new define
        (DOCRYPTO) that enables cryptographic code.  This code, that enabled
        users to change the password, is not enabled by default anymore since
        it does not work with Windows XP (and later) systems.
  * debian/patches/11_improve_documentation:
        Add a new patch to improve the English (by a non-native speaker
        oh! the irony!) of the HISTORY.txt and MANUAL.txt files, fixing
        grammar and spelling mistakes, as well as some typos.
  * debian/changelog: Fix typo and add reference to Ubuntu closed bug
  * debian/control:
      - Require debhelp version 5, as per debian/compat
  * debian/rules: 
      - Update definitions to adapt to this version and upstream's numbering
        (140201)
  * Lintian fixes:
      - Remove statically compiled files from sources (Fixes: source-is-missing)
      - debian/copyright: point to the versioned license files, not the
        symlinks since the source does not allow the use of later GPL
        versions (Fixes: copyright-refers-to-versionless-license-file)
      - debian/chntpw.8: Fix manpage error (Fixes:
        manpage-has-errors-from-man)
      - debian/rules: 
            + Added missing targets build-indep and build-arch (fixes:
            debian-rules-missing-recommended-target)
            + Include buildflags.mk provided by dpkg-dev (fixes:
            hardening-no-relro)
      - debian/control: 
          + Added  ${misc:Depends} (fixes: debhelper-but-no-misc-depends)
          + Use UTF-8 version of maintainer's second surname (i.e. 'ñ' instead
          of 'n~') this prevents tools from thinking the uploads are a NMU
          when they are not (fixes: changelog-should-mention-nmu)
          + Update Standards Version to 3.9.5, no changes needed (fixes:
          ancient-standards-version)
      - debian/docs: Remove HISTORY.txt, it is included as a changelog already
        (fixes: duplicate-changelog-files)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Wed, 06 Aug 2014 22:23:44 +0200

chntpw (0.99.6.110511-1) unstable; urgency=medium

  * Update to latest upstream release, published in 2011-05-09 (Closes: #615965) (LP: #637623)
  * Change Build-Dep to use 'libgcrypt11-dev | libgcrypt-dev' instead of
    'libgcrypt11-dev | libssl-dev' (Closes: #639350)
  * debian/patches:
    - Refreshed patches
    - Remove patches that do not apply anymore, some of these
      were incorporated upstream.
    - Fix 09_improve_robustness, the length of the input call was
      not being properly calculated, resulting in chntpwd not clearing
      the password properly. This was fixed in Fedora's patches see:
      http://pkgs.fedoraproject.org/cgit/chntpw.git/commit/?id=13bf89e14642a0da681384de5b6360178c3f8d57
      (Closes: #705292)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Wed, 29 Jan 2014 19:47:17 +0100

chntpw (0.99.6-2) unstable; urgency=low

  * Add patches provided by Fedora to fix regex -x crahses, see 
      https://bugzilla.redhat.com/show_bug.cgi?id=504580
      http://cvs.fedoraproject.org/viewvc/devel/chntpw/
    The patches included are:
    chntpw-080526-correct-test-for-failing-open-syscall.patch
    chntpw-080526-detect-failure-to-write-key.patch
    chntpw-080526-get_abs_path.patch
    chntpw-080526-keyname-overflow.patch
    chntpw-080526-no-value.patch
    chntpw-080526-port-to-gcrypt-debian.patch
    chntpw-080526-reged-no-deref-null.patch
    chntpw-080526-robustness.patch

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sat, 13 Mar 2010 12:14:05 +0100

chntpw (0.99.6-1) unstable; urgency=low

  * New upstream release (Closes: #503908)
     - Fixes bug in 64-bit architectures (Closes: #539227) (LP: #293809)
  * Create debian/README.source to describe the usage of quilt
  * Update FAQ contents with latest upstream version (updated 080526)
  * Move the "improve documentation" patch to quilt, it is currently


=== debian/control ===
Source: chntpw
Section: admin
Priority: optional
Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
Build-Depends: debhelper-compat (= 13), libgcrypt20-dev | libgcrypt-dev, sharutils, quilt, dpkg-dev ( >= 1.16.1~)
Standards-Version: 4.5.1
Homepage: http://pogostick.net/~pnh/ntpasswd/
Vcs-Git: https://salsa.debian.org/debian/chntpw.git
Vcs-Browser: https://salsa.debian.org/debian/chntpw

Package: chntpw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NT SAM password recovery utility
 This little program provides a way to view information and
 change user passwords in a Windows NT/2000 user database file.
 Old passwords need not be known since they are overwritten.
 In addition it also contains a simple registry editor 
 (same size data writes) and an hex-editor which enables you to
 fiddle around with bits and bytes in the file as you wish.
 .
 If you want GNU/Linux bootdisks for offline password recovery
 you can add this utility to custom image disks or use those provided
 at the tools homepage.

=== debian/watch ===
version=4
http://pogostick.net/~pnh/ntpasswd/editor.html \
 chntpw-source-(.*)\.zip debian uupdate
